GDAL-DATASET-CHECK(1)

NAME
gdal-dataset-check - Check whether there are errors when reading the content of a dataset

Added in version 3.13.

gdal dataset check check whether there are errors when reading the content of a dataset and return 1 as the program exit code (or in the return-code output parameter of the algorithm) if that happens, or 0 when no errors are detected.

WARNING:
        Most drivers or data formats do not have a built-in integrity mechanism. Thus a successful run of that program does not necessarily mean that the dataset is identical to the state it had just after being generated. The checks performed are generally sufficient to detect whether the dataset is truncated compared to its expected size, but this is not even necessarily guaranteed for some formats (for example the CSV driver may not be able to detect truncation).

SYNOPSIS

            Usage: gdal dataset check [OPTIONS] <INPUT>

            Check whether there are errors when reading the content of a dataset.

            Positional arguments:
              -i, --input <INPUT>                  Input raster, vector or multidimensional raster dataset [required]

            Common Options:
              -h, --help                           Display help message and exit
              --json-usage                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>               Configuration option [may be repeated]
              -q, --quiet                          Quiet mode (no progress bar or warning message) [not available in pipelines]

            Advanced Options:
              --oo, --open-option <KEY>=<VALUE>    Open options [may be repeated]
              --if, --input-format <INPUT-FORMAT>  Input formats [may be repeated]

OPTIONS

    --input <FILENAME>
        Input vector, raster or multidimensional dataset. Required.

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Check whether there are errors when reading a dataset

            $ gdal dataset check NE1_50M_SR_W.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026